<?php


namespace App\Entities\ProcedimentoFormulario;

use App\Utils\Builder;

class ProcedimentoFormularioBuilder implements Builder
{
    private $id;
    private $id_formulario;
    private $id_procedimento;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setIdFORMULARIO($id_formulario)
    {
        $this->id_formulario = $id_formulario;
        return $this;
    }

    public function setIdPROCEDIMENTO($id_procedimento)
    {
        $this->id_procedimento = $id_procedimento;
        return $this;
    }


    public function build () {
        $profissional = new ProcedimentoFormulario();
        $profissional->setId($this->id);
        $profissional->setIdFORMULARIO($this->id_formulario);
        $profissional->setIdPROCEDIMENTO($this->id_procedimento);

        return $profissional;
    }
}